JBoss API: Interface RawXADataSourceLoaderMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jdbc
Interface RawXADataSourceLoaderMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  RawXADataSourceLoader

public interface RawXADataSourceLoaderMBean
extends ServiceMBean

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`java.lang.String` | `getDataSourceClass()`
`boolean` | `getLoggingEnabled()`
`java.lang.String` | `getPoolName()`
`java.lang.String` | `getProperties()`
`void` | `setDataSourceClass(java.lang.String clazz)`
`void` | `setLoggingEnabled(boolean enabled)`
`void` | `setPoolName(java.lang.String name)`
`void` | `setProperties(java.lang.String properties)`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### setPoolName

    public void setPoolName(java.lang.String name)

### getPoolName

    public java.lang.String getPoolName()

### setDataSourceClass

    public void setDataSourceClass(java.lang.String clazz)

### getDataSourceClass

    public java.lang.String getDataSourceClass()

### setProperties

    public void setProperties(java.lang.String properties)

### getProperties

    public java.lang.String getProperties()

### setLoggingEnabled

    public void setLoggingEnabled(boolean enabled)

### getLoggingEnabled

    public boolean getLoggingEnabled()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.